Bug 251120 - [Too many open files abort] Crash while downloading
Summary: [Too many open files abort] Crash while downloading
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
: 257114 258508 260240 281130 286620 286623 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-09-13 16:35 UTC by BRULE Herman
Modified: 2011-11-16 17:00 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BRULE Herman 2010-09-13 16:35:55 UTC
Version:           unspecified (using KDE 4.5.1) 
OS:                Linux

Crash after downloading:

Application: KTorrent (ktorrent), signal: Aborted
[Current thread is 1 (Thread 0x7fe788319760 (LWP 30359))]

Thread 13 (Thread 0x7fe761cdd710 (LWP 30367)):
#0  0x00007fe787ddba84 in net::BufferedSocket::socketDevice (this=0x7fe75c3ebca0) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/bufferedsocket.h:93
#1  0x00007fe787ddcab8 in net::DownloadThread::waitForSocketReady (this=0x160c290) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/downloadthread.cpp:121
#2  0x00007fe787ddcb96 in net::DownloadThread::update (this=0x7fe75c3ebca0) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/downloadthread.cpp:48
#3  0x00007fe787ddd7e9 in net::NetworkThread::run (this=0x160c290) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/networkthread.cpp:48
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x160c290) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7fe7614dc710 (LWP 30368)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d02905 in thread_sleep (ti=0x7fe7614dbda0) at thread/qthread_unix.cpp:398
#2  0x00007fe785d02a90 in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:424
#3  0x00007fe787ddb4ed in net::UploadThread::update (this=0x160c900) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/uploadthread.cpp:89
#4  0x00007fe787ddd7e9 in net::NetworkThread::run (this=0x160c900) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/networkthread.cpp:48
#5  0x00007fe785d030fa in QThreadPrivate::start (arg=0x160c900) at thread/qthread_unix.cpp:248
#6  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#7  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fe760cdb710 (LWP 30369)):
#0  0x00007fe7842665c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=5000) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fe762eef9d2 in send_dg (statp=0x7fe760cdbdc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe760cd9bd0 "w:\201\200", 
    anssiz=1024, ansp=0x7fe760cda450, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:1061
#2  __libc_res_nsend (statp=0x7fe760cdbdc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe760cd9bd0 "w:\201\200", anssiz=1024, 
    ansp=0x7fe760cda450, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:557
#3  0x00007fe762eedac5 in *__GI___libc_res_nquery (statp=0x7fe760cdbdc8, name=<value optimized out>, class=<value optimized out>, type=<value optimized out>, answer=0x7fe760cd9bd0 "w:\201\200", 
    anslen=<value optimized out>, answerp=0x7fe760cda450, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:225
#4  0x00007fe761ce026c in *__GI__nss_dns_gethostbyaddr2_r (addr=<value optimized out>, len=<value optimized out>, af=2, result=<value optimized out>, buffer=<value optimized out>, 
    buflen=<value optimized out>, errnop=0x7fe760cdb698, h_errnop=0x7fe760cdabbc, ttlp=0x0) at nss_dns/dns-host.c:471
#5  0x00007fe761ce05d5 in _nss_dns_gethostbyaddr_r (addr=0x7fe760cd9950, len=1, af=5000, result=0xffffffffffffffff, buffer=0x0, buflen=0, errnop=0x7fe760cdb698, h_errnop=0x7fe760cdabbc)
    at nss_dns/dns-host.c:530
#6  0x00007fe784285a78 in __gethostbyaddr_r (addr=0x23e67e4, len=4, type=<value optimized out>, resbuf=0x7fe760cdab80, buffer=<value optimized out>, buflen=<value optimized out>, 
    result=0x7fe760cdabb0, h_errnop=0x7fe760cdabbc) at ../nss/getXXbyYY_r.c:253
#7  0x00007fe78428dc5d in *__GI_getnameinfo (sa=0x23e67e0, addrlen=<value optimized out>, host=0x7fe760cdace0 "", hostlen=199, serv=0x7fe760cdac10 "", servlen=199, flags=<value optimized out>)
    at getnameinfo.c:223
#8  0x00007fe787de218c in net::ReverseResolver::resolve (this=<value optimized out>, addr=...) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/reverseresolver.cpp:64
#9  0x00007fe787de2220 in net::ReverseResolver::run (this=0x3bb50e0) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/reverseresolver.cpp:73
#10 0x00007fe787de22e3 in net::ReverseResolverThread::run (this=0x7fe77003cdc0) at /var/tmp/portage/net-libs/libktorrent-1.0.3/work/libktorrent-1.0.3/src/net/reverseresolver.cpp:118
#11 0x00007fe785d030fa in QThreadPrivate::start (arg=0x7fe77003cdc0) at thread/qthread_unix.cpp:248
#12 0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#13 0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fe76ffff710 (LWP 30583)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x39cfe30) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x39cfe30) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fe7640fe710 (LWP 30586)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x7fe770036420) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x7fe770036420) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fe7638fd710 (LWP 30594)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x7fe770039630) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x7fe770039630) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fe774d2c710 (LWP 30602)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x7fe770037ae0) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x7fe770037ae0) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fe75b195710 (LWP 30631)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x3d56ae0, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x3d56ae0, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x2ef7210) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x2ef7210) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fe7626e4710 (LWP 30633)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007fe785d043b1 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39d4430, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fe785cf6250 in QThreadPoolThread::run (this=0x7fe77003bb00) at concurrent/qthreadpool.cpp:140
#4  0x00007fe785d030fa in QThreadPrivate::start (arg=0x7fe77003bb00) at thread/qthread_unix.cpp:248
#5  0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fe762ee5710 (LWP 30639)):
#0  0x00007fe7842665c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=5000) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fe762eef9d2 in send_dg (statp=0x7fe762ee5dc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe762ee3e20 "\247\220\201\200", 
    anssiz=1024, ansp=0x7fe762ee4680, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:1061
#2  __libc_res_nsend (statp=0x7fe762ee5dc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe762ee3e20 "\247\220\201\200", anssiz=1024, 
    ansp=0x7fe762ee4680, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:557
#3  0x00007fe762eedac5 in *__GI___libc_res_nquery (statp=0x7fe762ee5dc8, name=<value optimized out>, class=<value optimized out>, type=<value optimized out>, 
    answer=0x7fe762ee3e20 "\247\220\201\200", anslen=<value optimized out>, answerp=0x7fe762ee4680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:225
#4  0x00007fe762eee0d1 in __libc_res_nquerydomain (statp=0x7fe762ee5dc8, name=0x5509558 "tracker.thepiratebay.org", domain=0x7fe762ee5e48 "fw.local", class=<value optimized out>, type=28, 
    answer=0x7fe762ee3e20 "\247\220\201\200", anslen=1024, answerp=0x7fe762ee4680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:576
#5  0x00007fe762eee474 in *__GI___libc_res_nsearch (statp=0x7fe762ee5dc8, name=<value optimized out>, class=<value optimized out>, type=<value optimized out>, 
    answer=0x7fe762ee3e20 "\247\220\201\200", anslen=1024, answerp=0x7fe762ee4680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:414
#6  0x00007fe761ce1058 in *__GI__nss_dns_gethostbyname3_r (name=<value optimized out>, af=10, result=0x7fe762ee4b00, buffer=<value optimized out>, buflen=<value optimized out>, 
    errnop=<value optimized out>, h_errnop=0x7fe762ee4b30, ttlp=0x0, canonp=0x0) at nss_dns/dns-host.c:197
#7  0x00007fe761ce1314 in _nss_dns_gethostbyname2_r (name=0x7fe762ee3240 "\006", af=1, result=0x1388, buffer=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, buflen=0, errnop=0x0, 
    h_errnop=0x7fe762ee4b30) at nss_dns/dns-host.c:257
#8  0x00007fe784286289 in __gethostbyname2_r (name=0x5509558 "tracker.thepiratebay.org", af=10, resbuf=0x7fe762ee4b00, buffer=0x7fe762ee47d0 "", buflen=512, result=<value optimized out>, 
    h_errnop=0x7fe762ee4b30) at ../nss/getXXbyYY_r.c:253
#9  0x00007fe78425a576 in gaih_inet (name=<value optimized out>, service=<value optimized out>, req=0x7fe762ee4d70, pai=0x7fe762ee4cf0, naddrs=<value optimized out>)
    at ../sysdeps/posix/getaddrinfo.c:531
#10 0x00007fe78425c3bf in *__GI_getaddrinfo (name=0x5509558 "tracker.thepiratebay.org", service=0x3c487d8 "80", hints=0x7fe762ee4d70, pai=0x7fe762ee4dd8) at ../sysdeps/posix/getaddrinfo.c:2156
#11 0x00007fe786307ee9 in run (this=0x2f70a40) at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdecore/network/k3resolverstandardworkers.cpp:456
#12 0x00007fe78630329a in KNetwork::Internal::KResolverThread::run (this=0x506acc0) at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdecore/network/k3resolvermanager.cpp:278
#13 0x00007fe785d030fa in QThreadPrivate::start (arg=0x506acc0) at thread/qthread_unix.cpp:248
#14 0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#15 0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fe75a193710 (LWP 30641)):
#0  0x00007fe7842665c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=5000) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fe762eef9d2 in send_dg (statp=0x7fe75a193dc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe75a191e20 "\345\065\201\200", 
    anssiz=1024, ansp=0x7fe75a192680, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:1061
#2  __libc_res_nsend (statp=0x7fe75a193dc8, buf=<value optimized out>, buflen=<value optimized out>, buf2=0x0, buflen2=<value optimized out>, ans=0x7fe75a191e20 "\345\065\201\200", anssiz=1024, 
    ansp=0x7fe75a192680, ansp2=0x0, nansp2=0x0, resplen2=0x0) at res_send.c:557
#3  0x00007fe762eedac5 in *__GI___libc_res_nquery (statp=0x7fe75a193dc8, name=<value optimized out>, class=<value optimized out>, type=<value optimized out>, 
    answer=0x7fe75a191e20 "\345\065\201\200", anslen=<value optimized out>, answerp=0x7fe75a192680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:225
#4  0x00007fe762eee0d1 in __libc_res_nquerydomain (statp=0x7fe75a193dc8, name=0x7fe75c001898 "tracker.openbittorrent.com", domain=0x7fe75a193e48 "fw.local", class=<value optimized out>, type=28, 
    answer=0x7fe75a191e20 "\345\065\201\200", anslen=1024, answerp=0x7fe75a192680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:576
#5  0x00007fe762eee474 in *__GI___libc_res_nsearch (statp=0x7fe75a193dc8, name=<value optimized out>, class=<value optimized out>, type=<value optimized out>, 
    answer=0x7fe75a191e20 "\345\065\201\200", anslen=1024, answerp=0x7fe75a192680, answerp2=0x0, nanswerp2=0x0, resplen2=0x0) at res_query.c:414
#6  0x00007fe761ce1058 in *__GI__nss_dns_gethostbyname3_r (name=<value optimized out>, af=10, result=0x7fe75a192b00, buffer=<value optimized out>, buflen=<value optimized out>, 
    errnop=<value optimized out>, h_errnop=0x7fe75a192b30, ttlp=0x0, canonp=0x0) at nss_dns/dns-host.c:197
#7  0x00007fe761ce1314 in _nss_dns_gethostbyname2_r (name=0x7fe75a191240 "\005", af=1, result=0x1388, buffer=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, buflen=0, errnop=0x0, 
    h_errnop=0x7fe75a192b30) at nss_dns/dns-host.c:257
#8  0x00007fe784286289 in __gethostbyname2_r (name=0x7fe75c001898 "tracker.openbittorrent.com", af=10, resbuf=0x7fe75a192b00, buffer=0x7fe75a1927d0 "", buflen=512, result=<value optimized out>, 
    h_errnop=0x7fe75a192b30) at ../nss/getXXbyYY_r.c:253
#9  0x00007fe78425a576 in gaih_inet (name=<value optimized out>, service=<value optimized out>, req=0x7fe75a192d70, pai=0x7fe75a192cf0, naddrs=<value optimized out>)
    at ../sysdeps/posix/getaddrinfo.c:531
#10 0x00007fe78425c3bf in *__GI_getaddrinfo (name=0x7fe75c001898 "tracker.openbittorrent.com", service=0x7fe75c518008 "80", hints=0x7fe75a192d70, pai=0x7fe75a192dd8)
    at ../sysdeps/posix/getaddrinfo.c:2156
#11 0x00007fe786307ee9 in run (this=0x7fe75c0017f0) at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdecore/network/k3resolverstandardworkers.cpp:456
#12 0x00007fe78630329a in KNetwork::Internal::KResolverThread::run (this=0x2f6f800) at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdecore/network/k3resolvermanager.cpp:278
#13 0x00007fe785d030fa in QThreadPrivate::start (arg=0x2f6f800) at thread/qthread_unix.cpp:248
#14 0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#15 0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fe759191710 (LWP 30643)):
[KCrash Handler]
#6  0x00007fe7841d01b5 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fe7841d15e0 in *__GI_abort () at abort.c:92
#8  0x00007fe7802b0180 in IA__g_logv (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>, args1=0x7fe759190cb0) at gmessages.c:549
#9  0x00007fe7802b0203 in IA__g_log (log_domain=0x7697 <Address 0x7697 out of bounds>, log_level=30643, format=0x6 <Address 0x6 out of bounds>) at gmessages.c:569
#10 0x00007fe7802a5610 in g_main_context_init_pipe (context=0x3032c90) at gmain.c:415
#11 0x00007fe7802a56e5 in IA__g_main_context_new () at gmain.c:510
#12 0x00007fe785e4587d in QEventDispatcherGlibPrivate (this=0x3bdf670, context=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:308
#13 0x00007fe785e45b70 in QEventDispatcherGlib (this=0x3dca9a0, parent=0x0) at kernel/qeventdispatcher_glib.cpp:350
#14 0x00007fe785d02f43 in QThreadPrivate::createEventDispatcher (data=0x7fe7702e5710) at thread/qthread_unix.cpp:200
#15 0x00007fe785d030da in QThreadPrivate::start (arg=0x7fe770492fb0) at thread/qthread_unix.cpp:241
#16 0x00007fe785a6c894 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#17 0x00007fe78426f27d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fe788319760 (LWP 30359)):
#0  0x00007fe7842665c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fe77d4aac9a in _xcb_conn_wait (c=0x1647230, cond=<value optimized out>, vector=0x7fff67b48068, count=0x7fff67b48064) at xcb_conn.c:316
#2  0x00007fe77d4ab237 in _xcb_out_send (c=0x1647230, vector=0x7fff67b48068, count=0x7fff67b48064) at xcb_out.c:338
#3  0x00007fe77d4ab595 in xcb_writev (c=0x1647230, vector=0x7fff67b480c0, count=3, requests=199) at xcb_out.c:286
#4  0x00007fe78254fbec in _XSend (dpy=0x1641610, 
    data=0x6219aa0 ";;<K\262\265\267\344\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377\307\312\315\377"..., size=<value optimized out>) at xcb_io.c:427
#5  0x00007fe78253a6fa in SendZImage (dpy=0x1641610, d=<value optimized out>, gc=<value optimized out>, image=0x43d5ee0, req_xoffset=659, req_yoffset=30359, x=0, y=0, req_width=1167, req_height=10, 
    dest_bits_per_pixel=<value optimized out>, dest_scanline_pad=32) at PutImage.c:802
#6  PutImageRequest (dpy=0x1641610, d=<value optimized out>, gc=<value optimized out>, image=0x43d5ee0, req_xoffset=659, req_yoffset=30359, x=0, y=0, req_width=1167, req_height=10, 
    dest_bits_per_pixel=<value optimized out>, dest_scanline_pad=32) at PutImage.c:870
#7  PutSubImage (dpy=0x1641610, d=<value optimized out>, gc=<value optimized out>, image=0x43d5ee0, req_xoffset=659, req_yoffset=30359, x=0, y=0, req_width=1167, req_height=10, 
    dest_bits_per_pixel=<value optimized out>, dest_scanline_pad=32) at PutImage.c:908
#8  0x00007fe78253a8ed in XPutImage (dpy=0x1641610, d=<value optimized out>, gc=<value optimized out>, image=0x43d5ee0, req_xoffset=0, req_yoffset=0, x=0, y=0, req_width=1167, req_height=10)
    at PutImage.c:1027
#9  0x00007fe784f7f819 in QX11PixmapData::fromImage (this=0x54e22d0, img=<value optimized out>, flags=<value optimized out>) at image/qpixmap_x11.cpp:612
#10 0x00007fe784f66e70 in QPixmap::fromImage (image=..., flags=) at image/qpixmap.cpp:1993
#11 0x00007fe784fd4db8 in QPaintEngine::drawImage (this=0x32d6140, r=..., image=..., sr=..., flags=<value optimized out>) at painting/qpaintengine.cpp:623
#12 0x00007fe7850adee2 in QX11PaintEngine::drawImage (this=0x32d6140, r=..., image=..., sr=..., flags=) at painting/qpaintengine_x11.cpp:1893
#13 0x00007fe784fed893 in QPainterPrivate::draw_helper (this=0x31159f0, originalPath=<value optimized out>, op=<value optimized out>) at painting/qpainter.cpp:484
#14 0x00007fe784ff567a in QPainter::drawRoundedRect (this=0x7fff67b4e9a0, rect=<value optimized out>, xRadius=<value optimized out>, yRadius=<value optimized out>, mode=<value optimized out>)
    at painting/qpainter.cpp:4150
#15 0x00007fe77c0e3227 in Oxygen::Style::renderScrollBarHandle (this=<value optimized out>, p=0x7fff67b4e9a0, r=<value optimized out>, pal=..., orientation=<value optimized out>, 
    hover=<value optimized out>, opacity=<value optimized out>) at /var/tmp/portage/kde-base/kstyles-4.5.1/work/kstyles-4.5.1/kstyles/oxygen/oxygenstyle.cpp:5423
#16 0x00007fe77c0e4297 in Oxygen::Style::drawScrollBarPrimitive (this=0x1692b60, primitive=9, opt=0x7fff67b4d510, rect=..., pal=..., flags=)
    at /var/tmp/portage/kde-base/kstyles-4.5.1/work/kstyles-4.5.1/kstyles/oxygen/oxygenstyle.cpp:2134
#17 0x00007fe77c0fd1bc in Oxygen::Style::drawKStylePrimitive (this=0x1692b60, widgetType=<value optimized out>, primitive=<value optimized out>, opt=0x7fff67b4d510, r=..., 
    palette=<value optimized out>, flags=..., p=0x7fff67b4e9a0, widget=0x3943740, kOpt=0x0) at /var/tmp/portage/kde-base/kstyles-4.5.1/work/kstyles-4.5.1/kstyles/oxygen/oxygenstyle.cpp:1137
#18 0x00007fe786e27d3f in KStyle::drawControl (this=0x1692b60, element=<value optimized out>, option=0x7fff67b4d510, p=<value optimized out>, widget=0x3943740)
    at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdeui/kernel/kstyle.cpp:2266
#19 0x00007fe77c0fd6d3 in Oxygen::Style::drawControl (this=0x1692b60, element=QStyle::CE_PushButtonBevel, option=0x7fff67b4d510, p=0x7fff67b4e9a0, widget=0x3943740)
    at /var/tmp/portage/kde-base/kstyles-4.5.1/work/kstyles-4.5.1/kstyles/oxygen/oxygenstyle.cpp:1015
#20 0x00007fe7851ed230 in QCommonStyle::drawComplexControl (this=0x1692b60, cc=<value optimized out>, opt=0x7fff67b4e920, p=0x7fff67b4e9a0, widget=0x3943740) at styles/qcommonstyle.cpp:3236
#21 0x00007fe786e229be in KStyle::drawComplexControl (this=0x1692b60, cc=QStyle::CC_ScrollBar, opt=0x7fff67b4e920, p=<value optimized out>, w=0x3943740)
    at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdeui/kernel/kstyle.cpp:3597
#22 0x00007fe77c10001a in Oxygen::Style::drawComplexControl (this=0x1692b60, control=QStyle::CC_ScrollBar, option=0x7fff67b4e920, painter=0x7fff67b4e9a0, widget=0x3943740)
    at /var/tmp/portage/kde-base/kstyles-4.5.1/work/kstyles-4.5.1/kstyles/oxygen/oxygenstyle.cpp:308
#23 0x00007fe785347dcd in QScrollBar::paintEvent (this=0x3943740) at widgets/qscrollbar.cpp:565
#24 0x00007fe784ec7ba4 in QWidget::event (this=0x3943740, event=0x7fff67b4f1c0) at kernel/qwidget.cpp:8190
#25 0x00007fe7853486ea in QScrollBar::event (this=0x3943740, event=0x7fff67b4f1c0) at widgets/qscrollbar.cpp:545
#26 0x00007fe784e5fcc0 in QApplicationPrivate::notify_helper (this=0x1631ac0, receiver=0x3943740, e=0x7fff67b4f1c0) at kernel/qapplication.cpp:4302
#27 0x00007fe784e687a7 in QApplication::notify (this=0x7fff67b54200, receiver=0x3943740, e=0x7fff67b4f1c0) at kernel/qapplication.cpp:4185
#28 0x000000000043f0f7 in kt::App::notify (this=0x7fff67b54200, receiver=0x3943740, event=0x7fff67b4f1c0) at /var/tmp/portage/net-p2p/ktorrent-4.0.3/work/ktorrent-4.0.3/ktorrent/app.cpp:97
#29 0x00007fe785e1350b in QCoreApplication::notifyInternal (this=0x7fff67b54200, receiver=0x3943740, event=0x7fff67b4f1c0) at kernel/qcoreapplication.cpp:726
#30 0x00007fe784ed1756 in QCoreApplication::sendSpontaneousEvent (this=0x3945070, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#31 QWidgetPrivate::drawWidget (this=0x3945070, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x326fa70)
    at kernel/qwidget.cpp:5363
#32 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#33 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x3944e30, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#34 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=12, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#35 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=13, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#36 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x3944530, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#37 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=6, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#38 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x17ba5a0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#39 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=0, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#40 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#41 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#42 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#43 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x17b9cf0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#44 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#45 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x17b9520, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#46 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#47 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#48 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x17b9100, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#49 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#50 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=3, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#51 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x17ab5c0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#52 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=5, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#53 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x178f6c0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#54 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=1, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#55 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=2, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#56 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x178f390, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#57 0x00007fe784ed2482 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=6, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5476
#58 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=19, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#59 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=27, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#60 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=28, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#61 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=33, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#62 0x00007fe784ed22bb in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=..., index=34, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=68, sharedPainter=0x0, backingStore=0x326fa70) at kernel/qwidget.cpp:5463
#63 0x00007fe784ed1431 in QWidgetPrivate::drawWidget (this=0x1625fc0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x326fa70) at kernel/qwidget.cpp:5412
#64 0x00007fe7850c70b9 in QWidgetBackingStore::sync (this=0x326fa70) at painting/qbackingstore.cpp:1292
#65 0x00007fe784ec0000 in QWidgetPrivate::syncBackingStore (this=0x1625fc0) at kernel/qwidget.cpp:1688
#66 0x00007fe784ec82f7 in QWidget::event (this=0x1624d40, event=0x4a48650) at kernel/qwidget.cpp:8337
#67 0x00007fe785306dfb in QMainWindow::event (this=0x1624d40, event=0x4a48650) at widgets/qmainwindow.cpp:1414
#68 0x00007fe786f4d1b0 in KXmlGuiWindow::event (this=0x7fff67b47fe0, ev=0x1) at /var/tmp/portage/kde-base/kdelibs-4.5.1/work/kdelibs-4.5.1/kdeui/xmlgui/kxmlguiwindow.cpp:130
#69 0x00007fe784e5fcc0 in QApplicationPrivate::notify_helper (this=0x1631ac0, receiver=0x1624d40, e=0x4a48650) at kernel/qapplication.cpp:4302
#70 0x00007fe784e687a7 in QApplication::notify (this=0x7fff67b54200, receiver=0x1624d40, e=0x4a48650) at kernel/qapplication.cpp:4185
#71 0x000000000043f0f7 in kt::App::notify (this=0x7fff67b54200, receiver=0x1624d40, event=0x4a48650) at /var/tmp/portage/net-p2p/ktorrent-4.0.3/work/ktorrent-4.0.3/ktorrent/app.cpp:97
#72 0x00007fe785e1350b in QCoreApplication::notifyInternal (this=0x7fff67b54200, receiver=0x1624d40, event=0x4a48650) at kernel/qcoreapplication.cpp:726
#73 0x00007fe785e14514 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x160a600) at kernel/qcoreapplication.h:215
#74 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x160a600) at kernel/qcoreapplication.cpp:1367
#75 0x00007fe785e452d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#76 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#77 0x00007fe7802a483f in g_main_dispatch (context=0x163a8b0) at gmain.c:1960
#78 IA__g_main_context_dispatch (context=0x163a8b0) at gmain.c:2513
#79 0x00007fe7802a8bf8 in g_main_context_iterate (context=0x163a8b0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2591
#80 0x00007fe7802a8dac in IA__g_main_context_iteration (context=0x163a8b0, may_block=1) at gmain.c:2654
#81 0x00007fe785e44df3 in QEventDispatcherGlib::processEvents (this=0x1631610, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#82 0x00007fe784f2b06e in QGuiEventDispatcherGlib::processEvents (this=0x7fff67b47fe0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#83 0x00007fe785e118b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#84 0x00007fe785e11d55 in QEventLoop::exec (this=0x7fff67b54170, flags=) at kernel/qeventloop.cpp:201
#85 0x00007fe785e1483b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#86 0x000000000042ab72 in main (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/net-p2p/ktorrent-4.0.3/work/ktorrent-4.0.3/ktorrent/main.cpp:176


Reproducible: Always
Comment 1 Joris Guisson 2010-09-13 20:48:13 UTC
How many torrents are you running ?
Comment 2 BRULE Herman 2010-09-13 21:00:50 UTC
109 torrent.
If have special limit (file open, connextion max, ...) check it and auto-limit it into the spinbox.
Comment 3 Joris Guisson 2010-09-15 20:05:45 UTC
The crash actually happens in a library outside of ktorrent, however it crashes due to the fact that it can't open a pipe. 

Which means that ktorrent is hitting the maximum number of open files limit. So you have two options:
- Increase the maximum number of open files (in /etc/security/limits.conf) 
- Decrease the global connection limit in ktorrent, or run less torrents
Comment 4 Joris Guisson 2010-12-01 19:51:40 UTC
*** Bug 258508 has been marked as a duplicate of this bug. ***
Comment 5 Joris Guisson 2010-12-16 18:09:35 UTC
*** Bug 260240 has been marked as a duplicate of this bug. ***
Comment 6 Joris Guisson 2011-01-07 19:40:37 UTC
*** Bug 257114 has been marked as a duplicate of this bug. ***
Comment 7 Joris Guisson 2011-09-02 18:31:36 UTC
*** Bug 281130 has been marked as a duplicate of this bug. ***
Comment 8 Joris Guisson 2011-10-03 16:51:18 UTC
Git commit 89d3a2e2db30152e6fa77c7a84bfc76a8a9914a3 by Joris Guisson.
Committed on 03/10/2011 at 18:50.
Pushed by guisson into branch 'master'.

Prevent file descriptor exhaustion from happening, fixes several crashes

BUG: 251120
BUG: 282873
BUG: 274544

M  +1    -0    ChangeLog
M  +2    -0    src/diskio/cachefile.cpp
M  +27   -9    src/download/httpconnection.cpp
M  +4    -0    src/interfaces/serverinterface.cpp
M  +32   -18   src/peer/peerconnector.cpp
M  +38   -0    src/util/functions.cpp
M  +6    -0    src/util/functions.h

http://commits.kde.org/libktorrent/89d3a2e2db30152e6fa77c7a84bfc76a8a9914a3
Comment 9 Joris Guisson 2011-11-16 16:59:51 UTC
*** Bug 286623 has been marked as a duplicate of this bug. ***
Comment 10 Joris Guisson 2011-11-16 17:00:31 UTC
*** Bug 286620 has been marked as a duplicate of this bug. ***